---
title: "Retrieve Purchase Order Roles for User By Company Code and User ID"
slug: "retrieve-purchase-order-roles-for-user-by-company-code-and-user-id"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-purchase-order-roles-for-user-by-company-code-and-user-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Purchase Order Roles for User By Company Code and User ID

Get/po-rest-api/rest/1/poRoles

**Retrieve Purchase Order Roles for User By Company Code and User ID:**

This endpoint retrieves the purchase order roles assigned to users, with option to filter and optimize the request performance using the following parameters:

**Finder Name:** PoRolesFinder

**Request Parameters:**

CompCode (query parameter) -Company Code

UserID (query parameter) - User ID

**Response Body:** The response will contain details of user's purchase order roles in the JSON format. Here is an example of the response body:

```json
{
    "items": [
        {
            "PorlCompCode": "",
            "PorlUserID": "",
            "PorlUserName": "",
            "PorlRequesterFlag": "",
            "PorlBuyerFlag": "",
            "PorlReceiverFlag": "",
            "PorlDescription": null,
            "PorlVUuid": "",
            "links": [
                {
                    "rel": "",
                    "href": "",
                    "name": "",
                    "kind": ""
                }
            ]
        }
    ]
}
```

SecurityHTTPType basic

Basic authentication

Query parameterslimitintegerExample25
offsetintegerExample0
totalResultsbooleanExampletrue
finderstringExamplePoRolesFinder; CompCode=ZZ,UserID=IBRAHIM0033

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='7b1c0fed-8b43-473b-9390-1a0c5acb3497'>text/plain</option>
</select>

```
"{\n    \"items\": [\n        {\n            \"PorlCompCode\": \"ZZ\",\n            \"PorlUserID\": \"IBRAHIM0033\",\n            \"PorlUserName\": \"IBRAHIM002\",\n            \"PorlRequesterFlag\": \"Y\",\n            \"PorlBuyerFlag\": \"Y\",\n            \"PorlReceiverFlag\": \"N\",\n            \"PorlDescription\": null,\n            \"PorlVUuid\": \"3BCB23F89FBE5994E0630B811DAC3FF4\",\n            \"links\": [\n                {\n                    \"rel\": \"self\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3BCB23F89FBE5994E0630B811DAC3FF4\",\n                    \"name\": \"poRoles\",\n                    \"kind\": \"item\"\n                },\n                {\n                    \"rel\": \"canonical\",\n                    \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3BCB23F89FBE5994E0630B811DAC3FF4\",\n                    \"name\": \"poRoles\",\n                    \"kind\": \"item\"\n                }\n            ]\n        }\n    ],\n    \"totalResults\": 1,\n    \"count\": 1,\n    \"hasMore\": false,\n    \"limit\": 25,\n    \"offset\": 0,\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles\",\n            \"name\": \"poRoles\",\n            \"kind\": \"collection\"\n        }\n    ]\n}"
```

string
